<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:fn="http://java.sun.com/jsp/jstl/functions"
      xmlns:dataset="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/monsoere/dataset">
      
    <body>
        <ui:composition template="/templates/template.xhtml">
            <ui:define name="title">
                <f:loadBundle basename="org.inra.ecoinfo.pro.logs.logs"
                              var="logs" />
                #{help.PARAM_MSG_TITLE}
            </ui:define>
            <ui:define name="body">
                <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index" />


                <h1>
                    <h:panelGroup styleClass="navigation">
                        <h:panelGroup styleClass="navigationItem">
                            <h:graphicImage name="home.png" library="images" />
                            <h:outputLink value="index.jsf">#{index.PARAM_MSG_BREADCRUMBS}</h:outputLink>
                        </h:panelGroup>
                        <h:panelGroup styleClass="navigationItem">#{logs.PARAM_MSG_BREADCRUMBS}</h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup styleClass="title">
                        <h:graphicImage name="download.png" library="images" />
                        #{logs.PARAM_MSG_PAGE_TITLE}
                    </h:panelGroup>
                </h1>
                <h:form>
                    <rich:togglePanel activeItem="helpTitle" switchType="client"
                                      styleClass="help-panel">
                        <rich:togglePanelItem name="helpTitle">
                            <h:graphicImage value="#{resource['images:help.png']}">
                                <rich:toggleControl targetItem="@next" event="click" />
                            </h:graphicImage>
                            <p class="intro-main">
                                <h:outputText
                                    value="#{logs.PARAM_MSG_WELCOME_INTRO}"
                                    escape="false" />
                            </p>
                        </rich:togglePanelItem>
                        <rich:togglePanelItem name="helpDescription"
                                              styleClass="description">
                            <h:graphicImage value="#{resource['images:help.png']}">
                                <rich:toggleControl targetItem="@prev" event="click" />
                            </h:graphicImage>
                            <p class="intro-main">
                                <h:outputText
                                    value="#{logs.PARAM_MSG_INTRO_MAIN}"
                                    escape="false" />
                            </p>
                        </rich:togglePanelItem>
                    </rich:togglePanel>
                </h:form>
                <h:outputStylesheet name="help.css"
                                    library="css/org/inra/ecoinfo/monsoere/help"></h:outputStylesheet>
                <h3>#{help.PARAM_MSG_TITLE_REFDATA}</h3>
                <rich:list value="#{uiLogs.logsFiles}" var="logsFile">
                    <h:outputLink title="#{logs}"
                                  value="resources/logs/#{fn:replace(logsFile,' ','%20')}">#{logsFile}</h:outputLink>
                </rich:list>
            </ui:define>
        </ui:composition>
    </body>
</html>